Bug 102461 - Remove unnecessary markup from glade messages in redhat-config-packages
Remove unnecessary markup from glade messages in redhat-config-packages
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-config-packages (Show other bugs)
beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-15 11:11 EDT by Christian Rose
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 16:31:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2003-08-15 11:11:24 EDT
#: src/CDDialog.glade.h:1
msgid "<span size=\"larger\" weight=\"bold\">Insert the next CD.</span>"

#: src/CompsCheckDialog.glade.h:1
msgid "<span weight=\"bold\" size=\"larger\">Could not remove packages</span>"

#: src/InstallDruid.glade.h:1
msgid "<span size=\"xx-large\" color=\"white\">Add or Remove Packages</span>"

#: src/InstallDruid.glade.h:2
msgid "<span size=\"xx-large\" color=\"white\">Installation Overview</span>"

#: src/InstallProgressDialog.glade.h:1
msgid "<i> </i>"
msgstr "<i> </i>"

#: src/InstallProgressDialog.glade.h:2
msgid "<i>info_label</i>"

#: src/InstallProgressDialog.glade.h:4
#, no-c-format
msgid ""
"<span  weight=\"bold\" size=\"larger\">Completed system preparation</span>\n"
"\n"
"%d packages are queued for installation\n"
"%d packages are queued for removal\n"
"\n"
"This will take %s of diskspace."

#: src/InstallProgressDialog.glade.h:10
msgid ""
"<span weight=\"bold\" size=\"larger\">Preparing system update</span>\n"
"\n"
"Before modifying the packages on your system, package dependencies must be "
"determined. This process may take a few minutes.\n"

#: src/InstallProgressDialog.glade.h:14
msgid ""
"<span weight=\"bold\" size=\"larger\">Updating system</span>\n"
"\n"
"Installing and removing individual packages."

#: src/MainWindow.glade.h:1
msgid "<span size=\"xx-large\" color=\"black\">Add Package Groups</span>"

#: src/MainWindow.glade.h:2
msgid "<span size=\"xx-large\" color=\"black\">Add Package</span>"

#: src/MainWindow.glade.h:3
msgid "<span size=\"xx-large\" color=\"black\">Remove Package Groups</span>"

#: src/MainWindow.glade.h:4
msgid "<span size=\"xx-large\" color=\"black\">Remove Packages</span>"

#: src/Preferences.glade.h:2
msgid "<b>_Automatic proxy configuration</b>"

#: src/Preferences.glade.h:3
msgid "<b>_Direct internet connection</b>"

#: src/Preferences.glade.h:4
msgid "<b>_Manual proxy configuration</b>"



This use of markup inside messages marked for translation is totally
unnecessary, and a problem for the translation process. For details, see
the problem description at
http://developer.gnome.org/doc/tutorials/gnome-i18n/developer.html#avoid-markup

Please move the markup outside of the gettext calls. This may be difficult with
glade though, but perhaps another solution can be found.
Comment 1 Jeremy Katz 2003-08-15 11:28:30 EDT
It's too bad there's not a sane way to do this within glade.  *sigh*
Comment 2 Christian Rose 2003-08-15 11:31:40 EDT
Yes, see http://bugzilla.gnome.org/show_bug.cgi?id=97061

Note You need to log in before you can comment on or make changes to this bug.